## org.w3c.jigsaw.config
Class PropertySet

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet

Direct Known Subclasses:
  MICPProp, PageCompileProp, ProxyDispatcherProp, ServletProps, SocketConnectionProp

public class PropertySet
extends org.w3c.tools.resources.Resource

Field Summary
`protected org.w3c.jigsaw.http.httpd` | `server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`PropertySet(java.lang.String name, org.w3c.jigsaw.http.httpd server)`

Method Summary
`protected java.lang.Object` | `convertingGet(org.w3c.jigsaw.http.httpd s, org.w3c.tools.resources.Attribute a, java.lang.Object def)`
`java.lang.String` | `getHelpURL()` Get this resource's help url.
`java.lang.String` | `getHelpURL(java.lang.String topic)` Get the help URL for that resource's attribute.
`java.lang.String` | `getTitle()` Get this property set title.
`java.lang.Object` | `getValue(int idx, java.lang.Object def)`
`void` | `initialize(java.lang.Object[] values)`
`void` | `setValue(int idx, java.lang.Object value)` Set value forwards the effectation to the properties.

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, isInitialized, markModified, notifyUnload, registerFrame, setContext, setContext, setValue, unregisterFrame, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected org.w3c.jigsaw.http.httpd server

Constructor Detail

### PropertySet

    public PropertySet(java.lang.String name,
                       org.w3c.jigsaw.http.httpd server)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Get this property set title.
  Returns:
    A String encoding the title of the property set.

### getHelpURL

    public java.lang.String getHelpURL()

  Get this resource's help url.
  Returns:
    An URL, encoded as a String, or null if not available.
  Overrides:
    getHelpURL in class org.w3c.tools.resources.Resource

### getHelpURL

    public java.lang.String getHelpURL(java.lang.String topic)

  Get the help URL for that resource's attribute.
  Parameters:
    `topic` - The topic (can be an attribute name, or a property, etc).
  Returns:
    A String encoded URL, or null.
  Overrides:
    getHelpURL in class org.w3c.tools.resources.Resource

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Set value forwards the effectation to the properties.
  Parameters:
    `idx` - The attribute (property in that case) being set.
    `value` - The new value for that property.
  Overrides:
    setValue in class org.w3c.tools.resources.Resource

### convertingGet

    protected java.lang.Object convertingGet(org.w3c.jigsaw.http.httpd s,
                                             org.w3c.tools.resources.Attribute a,
                                             java.lang.Object def)

### getValue

    public java.lang.Object getValue(int idx,
                                     java.lang.Object def)

  Overrides:
    getValue in class org.w3c.tools.resources.Resource

### initialize

    public void initialize(java.lang.Object[] values)

  Overrides:
    initialize in class org.w3c.tools.resources.Resource